FTLINT(1)

NAME
ftlint - simple font tester

SYNOPSIS
ftlint [options] ppem font...

DESCRIPTION
ftlint opens the given font(s), loads and renders glyphs at the given ppem value. The shape complexity of outline glyphs are examined based on their taxicab perimeters: the higher the number, the more complex the shape. For successfully rendered glyphs, it calculates the bitmap MD5 checksum for regression testing as well as horizontal (X) and vertical (Y) acutances for quality assessment. The acutance is equal to 2.0 for monochrome bitmap fonts and approaches this value for hinted anti-aliased fonts.

ppem
    Size in pixels per EM.

font
    The font file(s) to test.

This program is part of the FreeType demos package.

OPTIONS

-f L
    Use hexadecimal (not decimal) number L defined by FT_LOAD_XXX flags (default is 0).

-r N
    Set render mode to N:
    0 | normal
    1 | light
    2 | mono
    3 | horizontal LCD
    4 | vertical LCD

    which corresponds to the values of the FT_RENDER_MODE_XXX enumeration (default is 0).

-i I-J
    Range of glyph indices to use (default: all).

-q  Quiet mode without the rendering analysis.